Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003139 [JEDI VCL] 00 JVCL Components minor always 2005-08-07 11:21 2005-08-12 09:53
Reporter Karlheinz View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003139: Memory Leak in TJvHotTrackOptions
Description I found with actual FastMM4 the following memory leak

--------------------------------2005/8/7 19:43:37--------------------------------
A memory block has been leaked. The size is: 52

Stack trace of when this block was allocated (return addresses):
402EFC [system.pas][System][@GetMem][2439]
42DA4C [classes.pas][Classes][CreateComponent][6096]
42DC81 [classes.pas][Classes][TReader.ReadComponent][6144]
42DF37 [classes.pas][Classes][TReader.ReadDataInner][6210]
42DEA0 [classes.pas][Classes][TReader.ReadData][6196]
4332CF [classes.pas][Classes][TComponent.ReadState][9988]
4A2E0E [Controls.pas][Controls][TControl.ReadState][3358]
4A7655 [Controls.pas][Controls][TWinControl.ReadState][5475]
473953 [ComCtrls.pas][ComCtrls][TTabSheet.ReadState][4785]

The block is currently used for an object of class: TJvHotTrackOptions

Current memory dump of 256 bytes starting at pointer address 43BA800:
90 4E 5F 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 B6 BD D2 00 0A 24 6A 00 60 58 C4 FB 00 00 00 00 80 A7 3B 04
00 00 00 00 00 00 00 00 FF FF FF FF FC 2E 40 00 4C DA 42 00 81 DC 42 00 37 DF 42 00 A0 DE 42 00
CF 32 43 00 0E 2E 4A 00 55 76 4A 00 53 39 47 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 34 00 00 00 00 00 00 00 3F A8 3B 04
90 4E 5F 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 B6 BD D2 00 0A 24 6A 00 C0 57 C4 FB 00 00 00 00 80 A7 3B 04
00 00 00 00 00 00 00 00 FF FF FF FF FC 2E 40 00 4C DA 42 00 81 DC 42 00 37 DF 42 00 A0 DE 42 00
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0003147closed Bug fixed:Memory Leak in TJvCustomOfficeColorButton of TJvHotTrackOptions 

-  Notes
(0007692)
obones (administrator)
2005-08-08 13:29

Well, the leak is not inside TJvHotTrackOptions, its inside a class that uses it. Couldn't your tool provide a bit more details on the instance of the object being created ?
(0007696)
remkobonte (developer)
2005-08-08 15:00

TJvCustomOfficeColorButton does not destroy its FHotTrackOptions.
(0007699)
obones (administrator)
2005-08-09 01:17

This is now solved in CVS.
Thanks for the report.
(0007794)
Karlheinz (reporter)
2005-08-11 15:05

The leak is still there, I think the leak is in JvLabel since the last version.
(0007795)
Karlheinz (reporter)
2005-08-12 04:55

File JvLabel.pas

destructor TJvCustomLabel.Destroy;
begin
  FChangeLink.Free;
  FHotTrackFont.Free;
  FHotTrackOptions.Free; <= Add this line
  FreeAndNil(FConsumerSvc);
  inherited Destroy;
end;

Karlheinz
(0007796)
obones (administrator)
2005-08-12 09:53

Thanks, this is now (again) in CVS.

- Issue History
Date Modified Username Field Change
2005-08-07 11:21 Karlheinz New Issue
2005-08-08 13:29 obones Note Added: 0007692
2005-08-08 13:29 obones Status new => feedback
2005-08-08 15:00 remkobonte Note Added: 0007696
2005-08-09 00:40 obones Relationship added has duplicate 0003147
2005-08-09 01:17 obones Status feedback => resolved
2005-08-09 01:17 obones Resolution open => fixed
2005-08-09 01:17 obones Assigned To => obones
2005-08-09 01:17 obones Note Added: 0007699
2005-08-11 15:05 Karlheinz Status resolved => feedback
2005-08-11 15:05 Karlheinz Resolution fixed => reopened
2005-08-11 15:05 Karlheinz Note Added: 0007794
2005-08-12 04:55 Karlheinz Note Added: 0007795
2005-08-12 09:53 obones Status feedback => resolved
2005-08-12 09:53 obones Resolution reopened => fixed
2005-08-12 09:53 obones Note Added: 0007796


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker